## org.eclipse.datatools.modelbase.sql.query.impl
Class TableJoinedImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
                  org.eclipse.datatools.modelbase.sql.query.impl.TableReferenceImpl
                      org.eclipse.datatools.modelbase.sql.query.impl.TableJoinedImpl

All Implemented Interfaces:
  SQLQueryObject, TableJoined, TableReference, SQLObject

    public class TableJoinedImpl

extends TableReferenceImpl
implements TableJoined

An implementation of the model object 'SQL Table Joined'.

The following features are implemented:

- `Join Operator`
- `Join Condition`
- `Table Ref Right`
- `Table Ref Left`

Method Summary
`NotificationChain` `basicSetJoinCondition(QuerySearchCondition newJoinCondition, NotificationChain msgs)`
`NotificationChain` `basicSetTableRefLeft(TableReference newTableRefLeft, NotificationChain msgs)`
`NotificationChain` `basicSetTableRefRight(TableReference newTableRefRight, NotificationChain msgs)`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`NotificationChain` `eInverseAdd(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`NotificationChain` `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`QuerySearchCondition` `getJoinCondition()`
`TableJoinedOperator` `getJoinOperator()`
`TableReference` `getTableRefLeft()`
`TableReference` `getTableRefRight()`
`void` `setJoinCondition(QuerySearchCondition newJoinCondition)`
`void` `setJoinOperator(TableJoinedOperator newJoinOperator)`
`void` `setTableRefLeft(TableReference newTableRefLeft)`
`void` `setTableRefRight(TableReference newTableRefRight)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.TableReferenceImpl
`basicSetNest, basicSetQuerySelect, basicSetTableJoinedLeft, basicSetTableJoinedRight, eBasicRemoveFromContainerFeature, getNest, getQuerySelect, getTableJoinedLeft, getTableJoinedRight, setNest, setQuerySelect, setTableJoinedLeft, setTableJoinedRight`

Methods inherited from class org.eclipse.datatools.modelbase.sql.query.impl.SQLQueryObjectImpl
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.TableReference
`getNest, getQuerySelect, getTableJoinedLeft, getTableJoinedRight, setNest, setQuerySelect, setTableJoinedLeft, setTableJoinedRight`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getJoinOperator

    public TableJoinedOperator getJoinOperator()

  Specified by:
    `getJoinOperator` in interface `TableJoined`
  Returns:
    the value of the 'Join Operator' attribute.
  See Also:
    `TableJoinedOperator`, `TableJoined.setJoinOperator(TableJoinedOperator)`, `SQLQueryModelPackage.getTableJoined_JoinOperator()`

### setJoinOperator

    public void setJoinOperator(TableJoinedOperator newJoinOperator)

  Specified by:
    `setJoinOperator` in interface `TableJoined`
  Parameters:
    `newJoinOperator` - the new value of the 'Join Operator' attribute.
  See Also:
    `TableJoinedOperator`, `TableJoined.getJoinOperator()`

### getJoinCondition

    public QuerySearchCondition getJoinCondition()

  Specified by:
    `getJoinCondition` in interface `TableJoined`
  Returns:
    the value of the 'Join Condition' containment reference.
  See Also:
    `TableJoined.setJoinCondition(QuerySearchCondition)`, `SQLQueryModelPackage.getTableJoined_JoinCondition()`, `QuerySearchCondition.getTableJoined()`

### basicSetJoinCondition

    public NotificationChain basicSetJoinCondition(QuerySearchCondition newJoinCondition,
                                                   NotificationChain msgs)

### setJoinCondition

    public void setJoinCondition(QuerySearchCondition newJoinCondition)

  Specified by:
    `setJoinCondition` in interface `TableJoined`
  Parameters:
    `newJoinCondition` - the new value of the 'Join Condition' containment reference.
  See Also:
    `TableJoined.getJoinCondition()`

### getTableRefRight

    public TableReference getTableRefRight()

  Specified by:
    `getTableRefRight` in interface `TableJoined`
  Returns:
    the value of the 'Table Ref Right' containment reference.
  See Also:
    `TableJoined.setTableRefRight(TableReference)`, `SQLQueryModelPackage.getTableJoined_TableRefRight()`, `TableReference.getTableJoinedRight()`

### basicSetTableRefRight

    public NotificationChain basicSetTableRefRight(TableReference newTableRefRight,
                                                   NotificationChain msgs)

### setTableRefRight

    public void setTableRefRight(TableReference newTableRefRight)

  Specified by:
    `setTableRefRight` in interface `TableJoined`
  Parameters:
    `newTableRefRight` - the new value of the 'Table Ref Right' containment reference.
  See Also:
    `TableJoined.getTableRefRight()`

### getTableRefLeft

    public TableReference getTableRefLeft()

  Specified by:
    `getTableRefLeft` in interface `TableJoined`
  Returns:
    the value of the 'Table Ref Left' containment reference.
  See Also:
    `TableJoined.setTableRefLeft(TableReference)`, `SQLQueryModelPackage.getTableJoined_TableRefLeft()`, `TableReference.getTableJoinedLeft()`

### basicSetTableRefLeft

    public NotificationChain basicSetTableRefLeft(TableReference newTableRefLeft,
                                                  NotificationChain msgs)

### setTableRefLeft

    public void setTableRefLeft(TableReference newTableRefLeft)

  Specified by:
    `setTableRefLeft` in interface `TableJoined`
  Parameters:
    `newTableRefLeft` - the new value of the 'Table Ref Left' containment reference.
  See Also:
    `TableJoined.getTableRefLeft()`

### eInverseAdd

    public NotificationChain eInverseAdd(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

  Overrides:
    `eInverseAdd` in class `TableReferenceImpl`

### eInverseRemove

    public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                            int featureID,
                                            NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `TableReferenceImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Overrides:
    `eGet` in class `TableReferenceImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `TableReferenceImpl`

### eUnset

    public void eUnset(int featureID)

  Overrides:
    `eUnset` in class `TableReferenceImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Overrides:
    `eIsSet` in class `TableReferenceImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `SQLObjectImpl`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.